## QmiClientUim QmiClientUim — QmiClient for the UIM service. |

## Signals

void | card-status | Run Last
void | refresh | Run Last
void | slot-status | Run Last

## Types and Values

struct | QmiClientUim

## Object Hierarchy

        GObject
        ╰── QmiClient
            ╰── QmiClientUim

## Description

QmiClient which handles operations in the UIM service.

## Functions

## Types and Values

### struct QmiClientUim

    struct QmiClientUim;

The QmiClientUim structure contains private data and should only be accessed using the provided API.

Since: 1.6

## Signal Details

### The `“card-status”` signal

    void
    user_function (QmiClientUim                     *object,
                   QmiIndicationUimCardStatusOutput *output,
                   gpointer                          user_data)

The ::card-status signal gets emitted when a 'Card Status' indication is received.

#### Parameters

object | A QmiClientUim. |
output | A QmiIndicationUimCardStatusOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.22

### The `“refresh”` signal

    void
    user_function (QmiClientUim                  *object,
                   QmiIndicationUimRefreshOutput *output,
                   gpointer                       user_data)

The ::refresh signal gets emitted when a 'Refresh' indication is received.

#### Parameters

object | A QmiClientUim. |
output | A QmiIndicationUimRefreshOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.28

### The `“slot-status”` signal

    void
    user_function (QmiClientUim                     *object,
                   QmiIndicationUimSlotStatusOutput *output,
                   gpointer                          user_data)

The ::slot-status signal gets emitted when a 'Slot Status' indication is received.

#### Parameters

object | A QmiClientUim. |
output | A QmiIndicationUimSlotStatusOutput. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 1.26